import java.util.TimeZone;

public class ListAllTimeZones {

    public static void main(String[] args) {
        System.out.println("Listing all recognized time zones:\n");
        String[] tz = TimeZone.getAvailableIDs();
        for (int i = 0; i < tz.length; i++) {
            System.out.println(tz[i]);
        }
    }

}